%define anolis_release 1

Name: bubblewrap
Version: 0.10.0
Release: %{anolis_release}%{?dist}
Summary: Core execution tool for unprivileged containers

License: LGPLv2+
URL:     https://github.com/containers/bubblewrap/
Source0: https://github.com/containers/bubblewrap/releases/download/v%{version}/bubblewrap-%{version}.tar.xz

BuildRequires: gcc
BuildRequires: libcap-devel
BuildRequires: pkgconfig(bash-completion) >= 2.0
BuildRequires: pkgconfig(libselinux) >= 2.1.9
BuildRequires: libxslt
BuildRequires: docbook-style-xsl
BuildRequires: meson >= 0.49.0

%description
Bubblewrap (/usr/bin/bwrap) is a core execution engine for unprivileged
containers that works as a setuid binary on kernels without
user namespaces.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

%generate_compatibility_deps

%files
%dir %{abidir}
%license COPYING
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/bwrap
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_bwrap
%{_bindir}/bwrap
%{abidir}/bwrap-option.list
%{_mandir}/man1/*

%changelog
* Tue Mar 18 2025 wangzhe <wanglan.wz@alibaba-inc.com> - 0.10.0-1
- update to 0.10.0 for flatpak
- Fix CVE-2024-42472

* Sat May 11 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.8.0-1
- update to 0.8.0 for flatpak

* Thu Feb 9 2023 Funda Wang <fundawang@yeah.net> - 0.7.0-1
- New version 0.7.0

* Tue Nov 01 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.5.0-2
- optimise spec file

* Fri Mar 04 2022 Hongwei Qin <qhw01063182@alibaba-inc.com> - 0.5.0-1
- Update to 0.5.0
- Init for Anolis OS 23
